cancel
Showing results for 
Search instead for 
Did you mean: 
Reply
eniX Member
Member

SQL Server Edition required for PBIRS

Hi folks,

 

what edition of SQL Server do I need, if I wanted to run PBIRS on it? AFAIK you can get PBIRS through two different ways: having SQL Server EE + SA and if you purchase Power BI Premium. With the first option you already have all possible modules for SQL Server, but what about the second one? Can I buy PBI Premium and run PBIRS just on SQL Server Express for example?

 

Thanks in advance,

 

Igor

2 REPLIES 2
Moderator v-qiuyu-msft
Moderator

Re: SQL Server Edition required for PBIRS

Hi @eniX,

 

According to this article, if you want to connect live to tabular or multidimensional instances. The SQL Express edition isn't supported.

 

Best Regards,
Qiuyun Yu

Community Support Team _ Qiuyun Yu
If this post helps, then please consider Accept it as the solution to help the other members find it more quickly.
eniX Member
Member

Re: SQL Server Edition required for PBIRS

Hi @v-qiuyu-msft,

 

what if I don't want to use SSAS? The question is, whether PBIRS directly requires commercial SQL Server edition.